2018-03-21 03:21 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002867OpenFOAM[All Projects] Bugpublic2018-03-08 08:25
Assigned Tochris 
PlatformLinuxOSUbuntuOS Version16.04 LTS
Product Version 
Target VersionFixed in Version 
Summary0002867: Installation problem
I followed the installation guide with no problem and did the user config too.
My problem is when i get to test this command
" simpleFoam -help "
i got this message
 " simpleFoam: command not "
Then, i tried to open a terminal in the /opt/openfoam5/etc and run again the command
" simpleFoam -help "
I got this message
ks@ks-N56JR:/opt/openfoam5/etc$ simpleFoam -help

Usage: simpleFoam [OPTIONS]
  -case <dir> specify alternate case directory, default is the cwd
  -fileHandler <handler>
                    override the fileHandler
                    List functionObjects
  -listFvOptions List fvOptions
                    List switches registered for run-time modification
  -listScalarBCs List scalar field boundary conditions (fvPatchField<scalar>)
  -listSwitches List switches declared in libraries but not set in
                    List turbulenceModels
                    List switches declared in libraries but not set in
  -listVectorBCs List vector field boundary conditions (fvPatchField<vector>)
                    do not execute functionObjects
  -parallel run in parallel
  -postProcess Execute functionObjects only
  -roots <(dir1 .. dirN)>
                    slave root directories for distributed running
  -srcDoc display source code in browser
  -doc display application documentation in browser
  -help print the usage

Using: OpenFOAM-5.x (see www.OpenFOAM.org)
Build: 5.x-197d9d3bf20a

But when i tried with another terminal the same way, it doesn't work anymore et couldn't run anyway the small example included in the installation guide.

remark: I followed the problems even if i didn't got when installing, I then installed everything missing and verified that i was on openmpi.

Thank you by advance for your answers
TagsNo tags attached.
Attached Files




administrator (administrator)

In one terminal you have sourced the bashrc file in OpenFOAM, in another terminal you have not. Read "User Configuration" to ensure the bashrc file is always sourced:

There is no issue with the OpenFOAM software here.

-Issue History
Date Modified Username Field Change
2018-03-05 23:22 ks New Issue
2018-03-05 23:22 ks Tag Attached: Installation
2018-03-08 00:06 ks Tag Detached: Installation
2018-03-08 08:25 administrator Note Added: 0009393
2018-03-08 08:25 chris Assigned To => chris
2018-03-08 08:25 chris Status new => closed
2018-03-08 08:25 chris Resolution open => fixed
+Issue History